workflow:
    rules:
        - if: $CI_COMMIT_BRANCH != 'main' && $CI_PIPELINE_SOURCE != "merge_request_event"
          when: never
        - when: always
stages:
    - test
    - build
    - deploy

run_unit_tests:
    stage: test
    script:
        - echo "running unit tests for $MICRO_SERVICE_NAME "

run_linting_tests:
    stage: test
    script:
        - echo "running linting tests  for $MICRO_SERVICE_NAME ..."

push_image:
    only:
        - main
    stage: build
    script:
        - echo "pushing image ..."

building_image:
    only:
        - main
    stage: build
    needs:
        - push_image
    script:
        - echo "building image using variables from file $MS_SETTINGS ..."

deploy_image:
    only:
        - main
    stage: deploy
    script:
        - echo "deploying image using variables from file $$MS_SETTINGS ..."
